cp300:
  general:
    full_name: "Classpad 300"
    international_name: "Classpad 300"
    year_launched: 2003
    predecessor: no
    successor: cp330
    family: family.cas
    active: no
  teaching:
    audience: audience.high_school_college
    exam_mode: no
    math_input: yes
    pretty_print: yes
    matrices: yes
    complex_calculus: yes
    symbolic_calculus: symbolic_calculus.cas
    cas: cas.native
  packaging:
    size: [21, 84, 185.5] # mm
    weight: 280 # g
    power: power.4aaa
    power_runtime: null
  programming:
    casio_basic: casio_basic.native
    add_ins: add_ins.native
    add_ins_sdk: [add_ins_sdk.cpsdk]
    python: no
  hardware:
    mpu: "SH7291"
    cpu: "SH3..."
    default_cpu_frequency: null
    overclock_tools: []
    max_cpu_frequency: null
    ram_chip: null
    rom_chip: 16000000 # bytes
    ram_storage: 515000 # bytes
    rom_storage: 4500000 # bytes
    sd_card: no
  devices:
    display: null
    backlit_display: no
    color_mode: color_mode.mono
    touch_screen: yes
    display_size_pixels: [160, 240] # pixels
    display_size_text: display_size_text.variable
    serial_connection: serial_connection.jack_25
    usb_connection: usb_connection.mini_usb_b
    protocols: null
    transfer_software: [transfer_software.facp1, transfer_software.classpad_manager, transfer_software.classpad_addin_installer]
  misc:
    price_range: [140, 200] # euros
    last_os_version: "3.03"
  links:
    casio_france: no
    casio_international: no
  manuals:
    software_french_fr:
      "@fr{Manuel}@en{Manual} (2004)": "https://support.casio.com/storage/fr/manual/pdf/FR/004/CP300_UsersGuide_FR.pdf"
    software_international_fr:
      "@fr{Manuel}@en{Manual} (2004)": "https://support.casio.com/storage/fr/manual/pdf/FR/004/CP300_UsersGuide_FR.pdf"
    software_international_en:
      "@fr{Manuel}@en{Manual} (2004)": "https://support.casio.com/en/manual/004/CP300_UsersGuide_EN.pdf"
    hardware_french_fr: no
    hardware_international_fr: no
    hardware_international_en: no
